Bug 989274 - RFE: As a sysadmin I want file upload parts to be stored outside the database so that database performance is not negatively impacted
RFE: As a sysadmin I want file upload parts to be stored outside the database...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 21:01 EDT by David Mason
Modified: 2015-07-28 22:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:11:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-07-28 21:01:14 EDT
Description of problem:
Uploaded files are now stored on the file system rather than as database blobs, but when uploaded as multiple parts, the parts of uploaded files are stored as blobs until the upload is complete. Upload parts should be stored on the file system like completed uploads.


Version-Release number of selected component (if applicable):
3.0

How reproducible:


Steps to Reproduce:
1. Upload a file using one of the java clients, specifying an upload chunk size smaller than the size of the file.

Actual results:
Parts of the file are persisted as blobs in the database until the upload is complete.

Expected results:
Parts of the file are persisted to the file system until the upload is complete.

Additional info:
Parts are stored in table HDocumentUploadPart
Comment 2 Damian Jansen 2015-07-13 20:21:05 EDT
Reassigned to PM
Comment 3 Zanata Migrator 2015-07-28 22:11:19 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-145

Note You need to log in before you can comment on or make changes to this bug.